Bug 441917 - Escape characters in bigboard mail widget
Escape characters in bigboard mail widget
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bigboard (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks: F9ODBlocker
  Show dependency treegraph
 
Reported: 2008-04-10 14:29 EDT by Owen Taylor
Modified: 2008-04-23 13:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 13:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
go through all the steps to undo gmail's weirdness (5.29 KB, patch)
2008-04-11 16:57 EDT, Colin Walters
no flags Details | Diff

  None (edit)
Description Owen Taylor 2008-04-10 14:29:28 EDT
Unread messages are showing up as:

 \003cb\u003eBlah blah

The first part is an escaped form of a <b>

The code currently has:

  s = s.replace("\\u003cb\\>", b) 

So that needs to be fixed up to deal with the escaped '>' as well.

I've also seen some other escapes ... I think parentheses. So it
would be worth experimenting a bit with sending mail messages with
special characters. Need to be careful not to let people write
general markup in a mail header and have that get passed through
to GMarkup.
Comment 1 Colin Walters 2008-04-11 16:57:38 EDT
Created attachment 302170 [details]
go through all the steps to undo gmail's weirdness
Comment 2 Colin Walters 2008-04-23 13:16:31 EDT
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.